%define with_indilib 1
%define indilib_version 0.8
%define eigen_version 2.0.3
%define xplanet_version 1.2.1

Name:		kstars
Summary:	A Desktop Planetarium
Version: 4.9.3
Release: 1
Group:		Graphical desktop/KDE
License:	GPLv2 GFDL
URL:		http://edu.kde.org/kstars
Source:		ftp://ftp.kde.org/pub/kde/stable/%{version}/src/%{name}-%{version}.tar.xz
BuildRequires:	kdelibs4-devel
BuildRequires:	pkgconfig(eigen2) >= %{eigen_version}
BuildRequires:	pkgconfig(cfitsio)
BuildRequires:	xplanet >= %{xplanet_version}
BuildRequires:	libfli-devel

%if %{with_indilib}
BuildRequires:	pkgconfig(libindi) >= %{indilib_version}
Requires:	indilib >= %{indilib_version}
%endif

%description
KStars is a Desktop Planetarium for KDE. It provides an accurate graphical
simulation of the night sky, from any location on Earth, at any date and
time. The display includes 130,000 stars, 13,000 deep-sky objects,all 8
planets, the Sun and Moon, and thousands of comets and asteroids.

%files
%doc COPYING COPYING.DOC README README.ephemerides README.customize README.images README.planetmath README.timekeeping AUTHORS
%{_kde_appsdir}/kstars
%{_kde_bindir}/kstars
%{_kde_libdir}/libhtmesh.a
%{_kde_iconsdir}/*/*/apps/kstars.*
%{_kde_applicationsdir}/kstars.desktop
%{_kde_datadir}/config.kcfg/kstars.kcfg
%{_kde_configdir}/kstars.knsrc
%{_kde_docdir}/HTML/*/kstars

#----------------------------------------------------------------------

%prep
%setup -q

%build
%cmake_kde4
%make

%install
%makeinstall_std -C build



%changelog
* Wed Nov 07 2012 Crispin Boylan <crisb@mandriva.org> 4.9.3-1
+ Revision: 822127
- New release

* Wed Oct 03 2012 Crispin Boylan <crisb@mandriva.org> 4.9.2-1
+ Revision: 818264
- New release

* Sat Aug 04 2012 Crispin Boylan <crisb@mandriva.org> 4.9.0-1
+ Revision: 811791
- New release

  + Andrey Bondrov <abondrov@mandriva.org>
    - Adjust spec cosmetics

* Sun Jul 15 2012 Crispin Boylan <crisb@mandriva.org> 4.8.97-1
+ Revision: 809404
- New release

* Sat Jun 09 2012 Crispin Boylan <crisb@mandriva.org> 4.8.4-1
+ Revision: 803740
- New release

* Fri May 04 2012 Crispin Boylan <crisb@mandriva.org> 4.8.3-1
+ Revision: 796299
- New release

* Thu Apr 19 2012 Crispin Boylan <crisb@mandriva.org> 4.8.2-1
+ Revision: 792028
- New release

  + Nicolas Lécureuil <nlecureuil@mandriva.com>
    - New upstream tarball

* Thu Jan 19 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.8.0-1
+ Revision: 762484
- New upstream tarball

* Fri Jan 06 2012 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.97-1
+ Revision: 758071
- New upstream tarball

* Thu Dec 22 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.95-1
+ Revision: 744554
- New upstream tarball

* Fri Dec 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.90-1
+ Revision: 739309
- New upstream tarball $NEW_VERSION

* Sat Nov 19 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.80-1
+ Revision: 731875
- New upstream tarball 4.7.80

* Wed Nov 09 2011 Nicolas Lécureuil <nlecureuil@mandriva.com> 4.7.41-1
+ Revision: 729213
- Import package

